<template>
	<div>
		<div class="f-apply" :class="[type==2?'static':{static:!fixed}]">
			<div class="close u-flex-xy-center" v-if="fixed && type==1" @click="onClose">
				<i class="icon custom-icon custom-icon-close" style="color: #fff;font-size: 22px;"></i>
			</div>
			<div class="bg u-flex u-flex-column">
				<div class="container u-flex-1 u-flex u-flex-column u-flex-items-start u-flex-center">
					<div class="tip">留下您的联系方式商务经理会在2小时内联系您（非工作时间可能存在延迟，敬请谅解）</div>
					<div class="from">
						<div class="ant-row u-flex u-flex-wrap">
							<div class="ant-col col-12 col-sm-12 col-md-3 col-lg-3 col-xl-2 u-flex u-flex-center">
								<div class="input">
									<input type="text" v-model="form.userName" placeholder="姓名">
								</div>
							</div>
							<div class="ant-col col-12 col-sm-12 col-md-3 col-lg-3 col-xl-2 u-flex u-flex-center">
								<div class="input">
									<input type="text" v-model="form.companyName" placeholder="企业名称"/>
								</div>
							</div>
							<div class="ant-col col-12 col-sm-12 col-md-3 col-lg-3 col-xl-2 u-flex u-flex-center">
								<div class="input">
									<input type="number" v-model="form.phoneNum" placeholder="手机号码"/>
								</div>
							</div>
							<div class="ant-col col-12 col-sm-12 col-md-3 col-lg-3 col-xl-2 u-flex u-flex-center">
								<div class="input">
									<input type="text" v-model="form.applyProjectType" placeholder="类目：如手机"/>
								</div>
							</div>
							<div class="ant-col col-12 col-sm-12 col-md-3 col-lg-3 col-xl-2 u-flex u-flex-center">
								<div class="btn u-flex-xy-center" @click="submitMessage">申请咨询</div>
							</div>
						</div>
					</div>
				</div>
			</div>	
		</div>
		<!-- <div class="f-apply-fill"></div>	 -->
	</div>
</template>

<script>
	module.exports = {
		props: {
			// 1:fixed 2:static
			type: {
				type: [String,Number],
				default: function() {
					return 1;
				}
			}
		},
		created() {

		},
		data: function (){
			return {
				fixed:true,
				form: {
					companyName: "",
					userName: "",
					phoneNum: "",
					applyProjectType: ""
				}
			};
		},
		mounted() {},
		methods: {
			onClose(){
				this.fixed = false
			},
			submitMessage() {
				if (!this.form.userName) {
            alert('请填写姓名')
            return;
        }
				if (!this.form.companyName) {
            alert('请填写企业名称')
            return;
        }
				const reg = /^1\d{10}$/;
        if (!this.form.phoneNum || !reg.test(this.form.phoneNum)) {
            alert('请填写正确的手机号码')
            return;
        }
        // if (!this.form.applyProjectType) {
        //     alert('请填写类目')
        //     return;
        // }
        let form = {
            companyName: this.form.companyName,
            contactName: this.form.userName,
            phoneNum: this.form.phoneNum,
            applyProjectType: 70,
            provinceId: -1,
            cityId: -1,
            districtId: -1
        }
        ajaxList.applyAgenterOrder(form, function (res) {
            console.log(res)
            if (res.code == 1) {
                alert(res.msg)
            } else {
                alert(res.msg)
            }
        })
			}
		}
	};
</script>

<style>
.f-apply{
	width: 100%;
	min-height: 166px;
	background: linear-gradient(90deg, #3B77FD 50%, #2056FC 100%);
	position: fixed;
	left: 0;
	bottom: 0;
	opacity: .98;
	transition: all .3s;
	z-index: 50;
}
.f-apply.static{
	position: relative;
}
.f-apply .close{
	width: 40px;
	height: 40px;
	position: absolute;
	right: 20px;
	top: 20px;
}
.f-apply-fill{
	height: 166px;
}
.f-apply .bg{
	width: 100%;
	min-height: 166px;
	background: url('../static/whzweb01/index/bg3.png') no-repeat center;
	background-size: 1920px 166px;
	padding: 30px 0;
}
.f-apply .tip{
	font-size: 16px;
	color: #fff;
}
.f-apply .from{
	width: 100%;
	margin-top: 30px;
}
.f-apply .from .input{
	width: 210px;
	height: 35px;
	border-radius: 5px;
	background: #FFFFFF;
	padding: 0 10px;
}
.f-apply .from .input input{
	font-size: 14px;
	color: #2B2B2B;
	width: 100%;
	height: 100%;
}
.f-apply .from .btn{
	width: 92px;
	height: 35px;
	border-radius: 5px;
	background: linear-gradient(90deg, #FD6D2D 0%, #FF9273 100%);
	border: 1px solid #4581FB;
	color: #fff;
	font-size: 14px;
	cursor: pointer;
}
@media screen and (max-width: 767px) {
	.f-apply{
		position: static;
	}
	.f-apply-fill{
		height: 0;
	}
	.f-apply .bg{
		background:transparent;
	}
	.f-apply .from{
		margin-top: 16px;
	}
	.f-apply .bg{
		padding: 18px 0;
	}
}
</style>
